# moveObjects

Moves the specified objects within the scene’s hierarchy.

```tsx
moveObjects(
	objectNamesOrIds: string | string[];
	insertUnderId?: string;
	insertBeforeId?: string;
	keepGlobalPosition?: boolean;
): Promise<void}>
```

<table><thead><tr><th width="200.94140625">Parameters</th><th width="355.171875">Description</th><th>Type</th></tr></thead><tbody><tr><td>objectNamesOrIds</td><td>Name/s or id/s of the objects to duplicate.</td><td><code>string</code> | <code>string[]</code></td></tr><tr><td>insertUnderId</td><td>Specifies the group id to move the objects under.</td><td><code>string</code></td></tr><tr><td>insertBeforeId</td><td>Specifies the object id to move the objects before.</td><td><code>string</code></td></tr><tr><td>keepGlobalPosition</td><td>Specifies weather or not to keep the current global transformation of the object/s to move, or to apply the matrix transform of the new parents’ (defaults to <code>true</code>).</td><td><code>boolean</code></td></tr></tbody></table>

Usage:

```jsx
*const* group = (await modelApi.getObjects('Group'))[0];            
await modelApi.moveObjects('Plant Pot', group.id, null, false);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.vectary.com/api/model-api/api-reference/moveobjects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
